// To parse this JSON data, do
//
//     final favoriteChatUser = favoriteChatUserFromJson(jsonString);

import 'dart:convert';

class FavoriteChatUser {
  FavoriteChatUser({
    this.response,
    this.errorResponses,
  });

  Response? response;
  dynamic? errorResponses;

  factory FavoriteChatUser.fromRawJson(String str) => FavoriteChatUser.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory FavoriteChatUser.fromJson(Map<String, dynamic> json) => FavoriteChatUser(
        response: json["response"] == null ? null : Response.fromJson(json["response"]),
        errorResponses: json["errorResponses"],
      );

  Map<String, dynamic> toJson() => {
        "response": response == null ? null : response!.toJson(),
        "errorResponses": errorResponses,
      };
}

class Response {
  Response({
    this.targetUserId,
    this.isFav,
  });

  int? targetUserId;
  bool? isFav;

  factory Response.fromRawJson(String str) => Response.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory Response.fromJson(Map<String, dynamic> json) => Response(
        targetUserId: json["targetUserId"] == null ? null : json["targetUserId"],
        isFav: json["isFav"] == null ? null : json["isFav"],
      );

  Map<String, dynamic> toJson() => {
        "targetUserId": targetUserId == null ? null : targetUserId,
        "isFav": isFav == null ? null : isFav,
      };
}
